# Generated by Django 4.0.3 on 2022-07-31 21:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BinVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('import_href', models.CharField(default='', max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Shoe',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('manufacturer', models.CharField(max_length=50)),
                ('model_name', models.CharField(max_length=50)),
                ('color', models.CharField(max_length=50)),
                ('picture_url', models.URLField(null=True)),
                ('Bin', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bin', to='shoes_rest.binvo')),
            ],
        ),
    ]
